System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ServiceDescriptionBaseCollection

The class corresponds to the Web Services Description Language (WSDL) < service > element enclosed by the < definitions > root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

Represents a collection of instances of the class. This class cannot be inherited.

- Method
  System.Int32 `` To be added

  Adds the specified to the end of the .

  The zero-based index where the parameter has been added.

  The instance to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value indicating whether the specified instance is a member of the .

  true if the parameter is a member of the ; otherwise, false.

  The for which to check collection membership. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the entire to a one-dimensional array of type , starting at the specified zero-based index of the target array.

  An array of type serving as the destination for the copy action. The zero-based index at which to start placing the copied collection. 1.0.5000.0 2.0.0.0
- Method
  System.String `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Searches for the specified and returns the zero-based index of the first occurrence within the ServiceCollection.

  A 32-bit signed integer.

  The for which to search in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If the number of items in the collection already equals the collection's capacity, the capacity is doubled by automatically reallocating the internal array before the new element is inserted.

  If the value of the parameter is equal to , the parameter is added to the end of the ServiceCollection.

  The elements after the insertion point move down to accommodate the new element.

  Adds the specified instance to the at the specified zero-based index.

  The zero-based index at which to insert the parameter. The to add to the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.Service `` To be added: an object of type 'int' To be added To be added: an object of type 'Service' To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Web.Services.Description.Service `` To be added. To be added. To be added. To be added.
- Method
  System.Void ``

  This method performs a linear search; therefore, the average execution time is proportional to .

  The elements that follow the removed move up to occupy the vacated spot.

  Removes the first occurrence of the specified from the .

  The to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0